Bug 246357 - Anaconda crashes when installing ISO created by pungi
Anaconda crashes when installing ISO created by pungi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
: 248375 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-30 18:19 EDT by Luis Felipe Marzagao
Modified: 2013-01-09 23:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 22:33:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Automatically generated Anaconda bug report crash (72.69 KB, text/plain)
2007-07-05 05:59 EDT, Fermin Molina
no flags Details
Anaconda crashes again (67.76 KB, text/plain)
2007-09-05 06:41 EDT, Fermin Molina
no flags Details

  None (edit)
Description Luis Felipe Marzagao 2007-06-30 18:19:28 EDT
Description of problem:

Anaconda (11.2.0.66-1) crashes, and tell you to file a bug report, when
installing ISO created with pungi (0.3.7-2.fc7).

Version-Release number of selected component (if applicable):
anaconda-11.2.0.66-1.i386.rpm


How reproducible:
Always


Steps to Reproduce:

1. First, create the default F7 dvd with:

pungi --conf=/etc/pungi/f7-fedora.i386

It will work just fine. The ISO is installable.
(PS: My pungi yum.conf.f7.i386 has a local rsync folder of f7 files)

2. Then, add an updates repo to the pungi yum.conf.f7.i386, something like:

[f7updates]
name=Fedora - 7 - Updates
baseurl=file:///mnt/repos/f7updates/
enabled=1
gpgcheck=0

(PS: mine updates folder is rsynced with
rsync://mirror.anl.gov/fedora/linux/updates/7/i386/)

3. Update the repo info with "createrepo".

4. Then, try again to create the same default F7 DVD, but this time, of course,
it will be the updated version, since you added the updates repo:

pungi --conf=/etc/pungi/f7-fedora.i386

5. The ISO is created just fine.

6. Now, try to install your ISO in some machine or virtual machine.

7. Anaconda will crash and tell you to file a bug report with the dump info
pasted below:

Traceback (most recent call first):
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 1196, in
_do_grab
    else: new_fo = open(self.filename, 'wb')
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 915, in
retryfunc
    fo._do_grab()
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 845, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.5/site-packages/urlgrabber/grabber.py", line 927, in
urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.5/site-packages/urlgrabber/mirror.py", line 397, in
_mirror_try
    return func_ref( *(fullurl,), **kwargs )
  File "/usr/lib/python2.5/site-packages/urlgrabber/mirror.py", line 411, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/anaconda/yuminstall.py", line 327, in _getFile
    http_headers=headers,
  File "/usr/lib/anaconda/yuminstall.py", line 362, in getHeader
    cache=cache)
  File "/usr/lib/anaconda/yuminstall.py", line 546, in downloadHeader
    cache=repo.http_caching != 'none')
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 201, in populateTs
    self.downloadHeader(txmbr.po)
  File "/usr/lib/anaconda/yuminstall.py", line 620, in run
    self.populateTs(keepold=0)
  File "/usr/lib/anaconda/yuminstall.py", line 1244, in doInstall
    self.ayum.run(self.instLog, cb, anaconda.intf, anaconda.id)
  File "/usr/lib/anaconda/backend.py", line 236, in doInstall
    anaconda.backend.doInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1041, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 67, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1068, in handleRenderCallback
    self.currentWindow.renderCallback()
IOError: [Errno 2] No such file or directory:
u'/tmp/cache/anaconda-base-200706301823.i386/headers/openoffice.org-impress-2.2.0-14.11.i386.hdr'

Local variables in innermost frame:
self: <addinfourl at 255011660 whose fp = None>


Anaconda instance, containing members:
rootPath: /mnt/sysimage
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.ppw: InstallProgressWindow instance, containing members:
    intf.ppw.pixmaps: [progress_first.png]
    intf.ppw.intf: Already dumped
    intf.ppw.adbox: <gtk.EventBox object (GtkEventBox) at 0xda5ae3c>
    intf.ppw._updateChange: 0.01
    intf.ppw.adpix: <gtk.Image object (GtkImage) at 0xda5adec>
    intf.ppw._showPercentage: False
    intf.ppw.infolabel: <WrappingLabel object (GtkLabel) at 0xda5ae8c>
    intf.ppw.ics: InstallControlState instance, containing members:
      intf.ppw.ics.prevEnabled: False
      intf.ppw.ics.cw: InstallControlWindow instance, containing members:
        intf.ppw.ics.cw.handle: 336
        intf.ppw.ics.cw.mainxml: <glade.XML object (PyGladeXML) at 0x9fc234c>
        intf.ppw.ics.cw.reloadRcQueued: 0
        intf.ppw.ics.cw.currentWindow: Already dumped
        intf.ppw.ics.cw.window: <gtk.Window object (GtkWindow) at 0x9fd2144>
        intf.ppw.ics.cw.installFrame: <gtk.Frame object (GtkFrame) at 0x9fd20cc>
        intf.ppw.ics.cw.anaconda: Already dumped
        intf.ppw.ics.cw.rnv: ReleaseNotesViewer instance, containing members:
          intf.ppw.ics.cw.rnv.textWin: <gtk.Window object (GtkWindow) at 0x9fc2dec>
          intf.ppw.ics.cw.rnv.vue: <gtkhtml2.View object (HtmlView) at 0x9fc28ec>
          intf.ppw.ics.cw.rnv.currentURI: /mnt/source/RELEASE-NOTES-en_US.html
          intf.ppw.ics.cw.rnv.topDir: /mnt/source
          intf.ppw.ics.cw.rnv.doc: <gtkhtml2.Document object (HtmlDocument) at
0x9fc2414>
          intf.ppw.ics.cw.rnv.height: 600
          intf.ppw.ics.cw.rnv.width: 800
          intf.ppw.ics.cw.rnv.opener: FancyURLopener instance, containing members:
            intf.ppw.ics.cw.rnv.opener._URLopener__unlink: <built-in function
unlink>
            intf.ppw.ics.cw.rnv.opener._URLopener__tempfiles: []
            intf.ppw.ics.cw.rnv.opener.cert_file: None
            intf.ppw.ics.cw.rnv.opener.addheaders: [('User-Agent',
'Python-urllib/1.17')]
            intf.ppw.ics.cw.rnv.opener.tries: 0
            intf.ppw.ics.cw.rnv.opener.ftpcache: {}
            intf.ppw.ics.cw.rnv.opener.tempcache: None
            intf.ppw.ics.cw.rnv.opener.auth_cache: {}
            intf.ppw.ics.cw.rnv.opener.key_file: None
            intf.ppw.ics.cw.rnv.opener.proxies: {}
            intf.ppw.ics.cw.rnv.opener.type: file
            intf.ppw.ics.cw.rnv.opener.maxtries: 10
          intf.ppw.ics.cw.rnv.anaconda: Already dumped
          intf.ppw.ics.cw.rnv.htmlheader: <html><head><meta
http-equiv="Content-Type" content="text/html; charset=utf-8"></head><body
bgcolor="white"><pre>
          intf.ppw.ics.cw.rnv.htmlfooter: </pre></body></html>
          intf.ppw.ics.cw.rnv.is_showing: False
      intf.ppw.ics.nextEnabled: False
      intf.ppw.ics.grabNext: True
      intf.ppw.ics.title: Installing Packages
    intf.ppw.progress: <gtk.ProgressBar object (GtkProgressBar) at 0xda5ae64>
  intf.icw: Already dumped
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
methodstr: cdrom://scd0:/mnt/source
dispatch: Dispatcher instance, containing members:
  dispatch.step: 38
  dispatch.skipSteps: {'upgradecontinue': 1, 'bootloader': 1, 'group-selection':
1, 'findinstall': 1, 'upgrademigfind': 1, 'upgradeswapsuggestion': 1,
'confirmupgrade': 1, 'partition': 1, 'bootloaderadvanced': 1, 'betanag': 2,
'upgrademount': 1, 'upgbootloader': 1, 'addswap': 1, 'upgrademigratefs': 1,
'regkey': 1}
  dispatch.firstStep: 0
  dispatch.method: CdromInstallMethod instance, containing members:
    dispatch.method.messageWindow: <bound method InstallInterface.messageWindow
of <gui.InstallInterface instance at 0x9fb932c>>
    dispatch.method.splitmethod: True
    dispatch.method.intf: Already dumped
    dispatch.method.isoPath: /mnt/source
    dispatch.method.timestamp: 1183238865.754096
    dispatch.method.tree: /mnt/source
    dispatch.method.rootPath: /mnt/sysimage
    dispatch.method.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x9fb932c>>
    dispatch.method.loopbackFile: /mnt/sysimage//rhinstall-stage2.img
    dispatch.method.progressWindow: <bound method
InstallInterface.progressWindow of <gui.InstallInterface instance at 0x9fb932c>>
    dispatch.method.device: scd0
    dispatch.method.currentMedia: [1]
  dispatch.anaconda: Already dumped
method: Already dumped
isKickstart: False
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: [22:tcp]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.rootParts: []
  id.instProgress: Already dumped
  id.upgradeRoot: []
  id.xsetup: XSetup instance, containing members:
    id.xsetup.skipx: 0
    id.xsetup.xserver: XServer instance, containing members:
      id.xsetup.xserver.videohw: primary: 0
vidCards: [<rhpxl.videocard.VideoCard instance at 0x9eda20c>]
Primary Video Card Info:
device: None
driver : vmware
descr : VMware Inc [VMware SVGA II] PCI Display Adapter
vidRam: None

      id.xsetup.xserver.serverflags: [vt6, -config, /tmp/XConfig.test,
-extension, Composite, -s, 1440, -dpms, -v, -ac, -nolisten, tcp, -screen,
Anaconda, -dpi, 96]
      id.xsetup.xserver.resolution: 800x600
      id.xsetup.xserver.root: /
      id.xsetup.xserver.hwstate: XF86HardwareState instance, containing members:
        id.xsetup.xserver.hwstate.videocard_PCIFn: None
        id.xsetup.xserver.hwstate.monitor: monName: None
monID: Unprobed Monitor
monHoriz: None
monVert: None
physicalWidth: 0
physicalHeight: 0

        id.xsetup.xserver.hwstate.config_resolutions: []
        id.xsetup.xserver.hwstate.videocard_name: VMware Inc [VMware SVGA II]
PCI Display Adapter
        id.xsetup.xserver.hwstate.monitor_name: Unknown monitor
        id.xsetup.xserver.hwstate.video_ram: 0
        id.xsetup.xserver.hwstate.videocard: Already dumped
        id.xsetup.xserver.hwstate.videocard_driver: vmware
        id.xsetup.xserver.hwstate.videocard_options: []
        id.xsetup.xserver.hwstate.all_resolutions: [640x480, 800x480, 800x512,
800x600, 848x480, 854x480, 1024x600, 1024x768, 1152x768, 1152x864, 1200x900,
1280x720, 1280x800, 1280x854, 1280x960, 1280x1024, 1360x768, 1400x900,
1400x1050, 1440x900, 1600x1024, 1600x1200, 1680x1050, 1900x1200, 1920x1080,
1920x1200, 1920x1440, 2048x1536, 2560x1600]
        id.xsetup.xserver.hwstate.hsync: 31.5-37.9
        id.xsetup.xserver.hwstate.vsync: 50-70
        id.xsetup.xserver.hwstate.probed_video_ram: 0
        id.xsetup.xserver.hwstate.videocard_PCIBus: None
        id.xsetup.xserver.hwstate.colordepth: 24
        id.xsetup.xserver.hwstate.videocard_PCIDev: None
        id.xsetup.xserver.hwstate.resolution: 800x600
        id.xsetup.xserver.hwstate.dri_enabled: 0
        id.xsetup.xserver.hwstate.xconfig: None
      id.xsetup.xserver.monitorhw: Already dumped
      id.xsetup.xserver.keyboard: Keyboard instance, containing members:
        id.xsetup.xserver.keyboard.info: {'KEYBOARDTYPE': pc, 'KEYTABLE': us}
        id.xsetup.xserver.keyboard.type: PC
        id.xsetup.xserver.keyboard.beenset: 1
        id.xsetup.xserver.keyboard._mods: KeyboardModels instance, containing
members:
      id.xsetup.xserver.mousehw: FULLNAME="VMWare - VMWare Mouse"
MOUSETYPE="vmmouse"
XEMU3="yes"
XMOUSETYPE="vmmouse"

      id.xsetup.xserver.defaultdepth: 24
      id.xsetup.xserver.logfile: /tmp/ramfs/X.log
      id.xsetup.xserver.config: <XF86Config object at 0xb7f11340>
      id.xsetup.xserver.display: :1
    id.xsetup.anaconda: Already dumped
  id.keyboard: Already dumped
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: False
    id.timezone.arc: 0
    id.timezone.tz: America/Sao_Paulo
  id.mouse: Already dumped
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: True
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: Already dumped
  id.iscsi: <iscsi.iscsi object at 0x9fc05ec>
  id.methodstr: cdrom://scd0:/mnt/source
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of
<gui.InstallInterface instance at 0x9fb932c>>
    id.fsset.volumesCreated: 1
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of
<gui.InstallInterface instance at 0x9fb932c>>
    id.fsset.migratedfs: 1
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of
<gui.InstallInterface instance at 0x9fb932c>>
    id.fsset.entries: [fsentry -- device: VolGroup00/LogVol00   mountpoint: /
  fsystem: ext3 format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda1   mountpoint: /boot
  fsystem: ext3 format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: /boot

, fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  bytesPerInode: 4096 label: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00/LogVol01   mountpoint: swap
  fsystem: swap format: 1
  ismounted: 1  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: VolGroup00   mountpoint: None
  fsystem: volume group (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

, fsentry -- device: sda2   mountpoint: None
  fsystem: physical volume (LVM) format: 1
  ismounted: 0  options: 'defaults'
  bytesPerInode: 4096 label: None

]
    id.fsset.mountcount: 5
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.x_already_set: 0
  id.backend: YumBackend instance, containing members:
    id.backend.modeText: Installing %s

    id.backend.instPath: /mnt/sysimage
    id.backend.supportsPackageSelection: True
    id.backend.totalSize: 2118302
    id.backend.instLog: <open file '/mnt/sysimage/root/install.log', mode 'w+'
at 0xb05ecc8>
    id.backend.supportsUpgrades: True
    id.backend.method: Already dumped
    id.backend.totalFiles: 111369
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.disks: {'sda': <PedDisk object at 0xb7d9f950>}
    id.diskset.anaconda: Already dumped
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --enablemd5
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: mbr
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.device: sda
    id.bootloader.configfile: /etc/lilo.conf
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: [sda]
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: VolGroup00/LogVol00
      id.bootloader.images.images: {'VolGroup00/LogVol00': ('linux', 'Fedora',
'ext3')}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.hostname: localhost.localdomain
    id.network.overrideDHCPhostname: 0
    id.network.netdevices: {'eth0': DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:0C:29:F7:98:BF
ONBOOT=yes

}
    id.network.primaryNS: None
    id.network.firstnetdevice: eth0
    id.network.isConfigured: 0
    id.network.domains: [localdomain]
    id.network.secondaryNS: None
    id.network.gateway: None
  id.instClass: DefaultInstall instance, containing members:
  id.floppyDevice: fd0
  id.partitions: Partitions instance, containing members:
    id.partitions.useFdisk: 0
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 11
    id.partitions.reinitializeDisks: 0
    id.partitions.autoClearPartDrives: [sda]
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: [New Part Request -- mountpoint: /boot uniqueID: 9
  type: ext3  format: 1  badblocks: None
  device: sda1 drive: ['sda']  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: 10
  type: swap  format: 1  badblocks: None
  size: 1024  lvname: LogVol01  volgroup: 7
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: VolGroup00  uniqueID: 7
  format: 1 pesize: 32768  
  physvols: [6]
, LV Request -- mountpoint: /  uniqueID: 8
  type: ext3  format: 1  badblocks: None
  size: 7008  lvname: LogVol00  volgroup: 7
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: None uniqueID: 6
  type: physical volume (LVM)  format: 1  badblocks: None
  device: sda2 drive: ['sda']  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None
uniqueID: None
  type: physical volume (LVM)  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1  badblocks: None
  size: 1024  lvname: LogVol00  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1  badblocks: None
  device: None drive: None  primary: None
  size: 100  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  bytesPerInode: 4096  options: 'None'
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1  badblocks: None
  size: 512  lvname: LogVol01  volgroup: lvm
  bytesPerInode: 4096  options: 'None'
]
    id.partitions.deletes: [vgname: VolGroup00
, drive: sda  start: 208845  end: 16771859
, lvname: LogVol01  vgname: VolGroup00
, drive: sda  start: 63  end: 208844
, lvname: LogVol00  vgname: VolGroup00
]
  id.isHeadless: 0
  id.videocard: Already dumped
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/syslog:
<5>Linux version 2.6.21-1.3228.fc7
(kojibuilder@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.1.2 20070502 (Red
Hat 4.1.2-12)) #1 SMP Tue Jun 12 14:39:26 EDT 2007
<6>BIOS-provided physical RAM map:
<4>sanitize start
<4>sanitize end
<4>copy_e820_map() start: 0000000000000000 size: 000000000009f800 end:
000000000009f800 type: 1
<4>copy_e820_map() type is E820_RAM
<4>copy_e820_map() start: 000000000009f800 size: 0000000000000800 end:
00000000000a0000 type: 2
<4>copy_e820_map() start: 00000000000dc000 size: 0000000000024000 end:
0000000000100000 type: 2
<4>copy_e820_map() start: 0000000000100000 size: 00000000201f0000 end:
00000000202f0000 type: 1
<4>copy_e820_map() type is E820_RAM
<4>copy_e820_map() start: 00000000202f0000 size: 000000000000f000 end:
00000000202ff000 type: 3
<4>copy_e820_map() start: 00000000202ff000 size: 0000000000001000 end:
0000000020300000 type: 4
<4>copy_e820_map() start: 0000000020300000 size: 0000000000100000 end:
0000000020400000 type: 1
<4>copy_e820_map() type is E820_RAM
<4>copy_e820_map() start: 00000000fec00000 size: 0000000000010000 end:
00000000fec10000 type: 2
<4>copy_e820_map() start: 00000000fee00000 size: 0000000000001000 end:
00000000fee01000 type: 2
<4>copy_e820_map() start: 00000000fffe0000 size: 0000000000020000 end:
0000000100000000 type: 2
<4> BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
<4> BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
<4> BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
<4> BIOS-e820: 0000000000100000 - 00000000202f0000 (usable)
<4> BIOS-e820: 00000000202f0000 - 00000000202ff000 (ACPI data)
<4> BIOS-e820: 00000000202ff000 - 0000000020300000 (ACPI NVS)
<4> BIOS-e820: 0000000020300000 - 0000000020400000 (usable)
<4> BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
<4> BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
<4> BIOS-e820: 00000000fffe0000 - 0000000100000000 (reserved)
<5>0MB HIGHMEM available.
<5>516MB LOWMEM available.
<6>found SMP MP-table at 000f6ce0
<4>Using x86 segment limits to approximate NX protection
<7>Entering add_active_range(0, 0, 132096) 0 entries of 256 used
<4>Zone PFN ranges:
<4>  DMA             0 ->     4096
<4>  Normal       4096 ->   132096
<4>  HighMem    132096 ->   132096
<4>early_node_map[1] active PFN ranges
<4>    0:        0 ->   132096
<7>On node 0 totalpages: 132096
<7>  DMA zone: 32 pages used for memmap
<7>  DMA zone: 0 pages reserved
<7>  DMA zone: 4064 pages, LIFO batch:0
<7>  Normal zone: 1000 pages used for memmap
<7>  Normal zone: 127000 pages, LIFO batch:31
<7>  HighMem zone: 0 pages used for memmap
<6>DMI present.
<6>Using APIC driver default
<4>ACPI: RSDP 000F6C70, 0014 (r0 PTLTD )
<4>ACPI: RSDT 202FAB74, 0030 (r1 PTLTD    RSDT    6040000  LTP        0)
<4>ACPI: FACP 202FEF14, 0074 (r1 INTEL  440BX     6040000 PTL     F4240)
<4>ACPI: DSDT 202FABA4, 4370 (r1 PTLTD  Custom    6040000 MSFT  100000D)
<4>ACPI: FACS 202FFFC0, 0040
<4>ACPI: APIC 202FEF88, 0050 (r1 PTLTD  	 APIC    6040000  LTP        0)
<4>ACPI: BOOT 202FEFD8, 0028 (r1 PTLTD  $SBFTBL$  6040000  LTP        1)
<6>ACPI: PM-Timer IO Port: 0x1008
<7>ACPI: Local APIC address 0xfee00000
<6>ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
<4>Processor #0 15:6 APIC version 17
<6>ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
<6>ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
<4>IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
<6>ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
<7>ACPI: IRQ0 used by override.
<7>ACPI: IRQ2 used by override.
<7>ACPI: IRQ9 used by override.
<4>Enabling APIC mode:  Flat.  Using 1 I/O APICs
<6>Using ACPI (MADT) for SMP configuration information
<4>Allocating PCI resources starting at 30000000 (gap: 20400000:de800000)
<4>Built 1 zonelists.  Total pages: 131064
<5>Kernel command line: initrd=initrd.img BOOT_IMAGE=vmlinuz 
<7>mapped APIC to ffffd000 (fee00000)
<7>mapped IOAPIC to ffffc000 (fec00000)
<6>Enabling fast FPU save and restore... done.
<6>Enabling unmasked SIMD FPU exception support... done.
<6>Initializing CPU#0
<4>CPU 0 irqstacks, hard=c076e000 soft=c074e000
<4>PID hash table entries: 2048 (order: 11, 8192 bytes)
<4>Detected 2399.459 MHz processor.
<4>Console: colour VGA+ 80x25
<4>Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
<4>Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
<6>Memory: 513364k/528384k available (2038k kernel code, 14316k reserved, 1068k
data, 236k init, 0k highmem)
<4>virtual kernel memory layout:
<4>    fixmap  : 0xffc55000 - 0xfffff000   (3752 kB)
<4>    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
<4>    vmalloc : 0xe1000000 - 0xff7fe000   ( 487 MB)
<4>    lowmem  : 0xc0000000 - 0xe0400000   ( 516 MB)
<4>      .init : 0xc070e000 - 0xc0749000   ( 236 kB)
<4>      .data : 0xc05fd8c2 - 0xc0708cb4   (1068 kB)
<4>      .text : 0xc0400000 - 0xc05fd8c2   (2038 kB)
<4>Checking if this processor honours the WP bit even in supervisor mode... Ok.
<4>Calibrating delay using timer specific routine.. 4869.27 BogoMIPS (lpj=2434635)
<6>Security Framework v1.0.0 initialized
<6>SELinux:  Initializing.
<7>SELinux:  Starting in permissive mode
<6>selinux_register_security:  Registering secondary module capability
<6>Capability LSM initialized as secondary
<4>Mount-cache hash table entries: 512
<7>CPU: After generic identify, caps: 0febfbff 20100000 00000000 00000000
0000a015 00000000 00000001
<6>CPU: Trace cache: 12K uops, L1 D cache: 16K
<6>CPU: L2 cache: 2048K
<7>CPU: After all inits, caps: 0febf3ff 20100000 00000000 00003180 0000a015
00000000 00000001
<6>Intel machine check architecture supported.
<6>Intel machine check reporting enabled on CPU#0.
<6>Checking 'hlt' instruction... OK.
<6>SMP alternatives: switching to UP code
<6>Freeing SMP alternatives: 14k freed
<6>ACPI: Core revision 20070126
<4>CPU0: Intel(R) Pentium(R) D CPU 3.60GHz stepping 08
<6>Total of 1 processors activated (4869.27 BogoMIPS).
<4>ENABLING IO-APIC IRQs
<6>..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
<6>Brought up 1 CPUs
<7>sizeof(vma)=84 bytes
<7>sizeof(page)=32 bytes
<7>sizeof(inode)=336 bytes
<7>sizeof(dentry)=132 bytes
<7>sizeof(ext3inode)=488 bytes
<7>sizeof(buffer_head)=56 bytes
<7>sizeof(skbuff)=176 bytes
<7>sizeof(task_struct)=1376 bytes
<4>Time:  3:04:56  Date: 05/30/107
<6>NET: Registered protocol family 16
<6>ACPI: bus type pci registered
<6>PCI: PCI BIOS revision 2.10 entry at 0xfd9a0, last bus=1
<6>PCI: Using configuration type 1
<4>Setting up standard PCI resources
<6>ACPI: Interpreter enabled
<6>ACPI: (supports S0 S1 S5)
<6>ACPI: Using IOAPIC for interrupt routing
<6>ACPI: PCI Root Bridge [PCI0] (0000:00)
<7>PCI: Probing PCI hardware (bus 00)
<4>PCI quirk: region 1000-103f claimed by PIIX4 ACPI
<4>PCI quirk: region 1040-104f claimed by PIIX4 SMB
<7>Boot video device is 0000:00:0f.0
<7>ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
<4>ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 11 14 15) *0, disabled.
<4>ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *9 10 11 14 15)
<4>ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11 14 15)
<4>ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 11 14 15) *0, disabled.
<6>Linux Plug and Play Support v0.97 (c) Adam Belay
<6>pnp: PnP ACPI init
<6>pnp: PnP ACPI: found 12 devices
<6>usbcore: registered new interface driver usbfs
<6>usbcore: registered new interface driver hub
<6>usbcore: registered new device driver usb
<6>PCI: Using ACPI for IRQ routing
<6>PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
<6>NetLabel: Initializing
<6>NetLabel:  domain hash size = 128
<6>NetLabel:  protocols = UNLABELED CIPSOv4
<6>NetLabel:  unlabeled traffic allowed by default
<6>Time: tsc clocksource has been installed.
<6>PCI: Bridge: 0000:00:01.0
<6>  IO window: disabled.
<6>  MEM window: disabled.
<6>  PREFETCH window: disabled.
<7>PCI: Setting latency timer of device 0000:00:01.0 to 64
<6>NET: Registered protocol family 2
<4>IP route cache hash table entries: 16384 (order: 4, 65536 bytes)
<4>TCP established hash table entries: 65536 (order: 7, 786432 bytes)
<4>TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
<6>TCP: Hash tables configured (established 65536 bind 65536)
<6>TCP reno registered
<6>checking if image is initramfs... it is
<6>Freeing initrd memory: 5540k freed
<6>Simple Boot Flag at 0x36 set to 0x1
<6>apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
<5>apm: overridden by ACPI.
<6>audit: initializing netlink socket (disabled)
<5>audit(1183172680.582:1): initialized
<4>Total HugeTLB memory allocated, 0
<5>VFS: Disk quotas dquot_6.5.1
<4>Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
<7>SELinux:  Registering netfilter hooks
<4>ksign: Installing public key data
<4>Loading keyring
<4>- Added public key DBFA3EF1E2369CE3
<4>- User ID: Red Hat, Inc. (Kernel Module GPG key)
<6>io scheduler noop registered
<6>io scheduler anticipatory registered
<6>io scheduler deadline registered
<6>io scheduler cfq registered (default)
<6>Limiting direct PCI/PCI transfers.
<6>ACPI: Processor [CPU0] (supports 8 throttling states)
<4>ACPI Exception (processor_core-0783): AE_NOT_FOUND, Processor Device is not
present [20070126]
<4>ACPI Exception (processor_core-0783): AE_NOT_FOUND, Processor Device is not
present [20070126]
<4>ACPI Exception (processor_core-0783): AE_NOT_FOUND, Processor Device is not
present [20070126]
<6>isapnp: Scanning for PnP cards...
<6>Switched to high resolution mode on CPU 0
<6>isapnp: No Plug & Play device found
<6>Real Time Clock Driver v1.12ac
<6>Non-volatile memory driver v1.2
<6>Linux agpgart interface v0.102 (c) Dave Jones
<6>agpgart: Detected an Intel 440BX Chipset.
<6>agpgart: AGP aperture is 64M @ 0xe8000000
<6>Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
<6>serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
<6>serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
<6>00:09: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
<6>00:0a: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
<4>RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
<6>input: Macintosh mouse button emulation as /class/input/input0
<6>usbcore: registered new interface driver libusual
<6>usbcore: registered new interface driver hiddev
<6>usbcore: registered new interface driver usbhid
<6>drivers/usb/input/hid-core.c: v2.6:USB HID core driver
<6>PNP: PS/2 Controller [PNP0303:KBC,PNP0f13:MOUS] at 0x60,0x64 irq 1,12
<6>serio: i8042 KBD port at 0x60,0x64 irq 1
<6>serio: i8042 AUX port at 0x60,0x64 irq 12
<6>mice: PS/2 mouse device common for all mice
<6>input: AT Translated Set 2 keyboard as /class/input/input1
<6>TCP bic registered
<6>Initializing XFRM netlink socket
<6>NET: Registered protocol family 1
<6>NET: Registered protocol family 17
<4>Using IPI No-Shortcut mode
<4>  Magic number: 11:83:59
<4>drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
<6>Freeing unused kernel memory: 236k freed
<4>Write protecting the kernel read-only data: 800k
<6>input: ImPS/2 Generic Wheel Mouse as /class/input/input2
<6>loop: loaded (max 8 devices)
<6>Floppy drive(s): fd0 is 1.44M
<6>FDC 0 is a post-1991 82077
<6>BIOS EDD facility v0.16 2004-Jun-25, 1 devices found
<6>input: PC Speaker as /class/input/input3
<6>squashfs: version 3.2-r2 (2007/01/15) Phillip Lougher
<6>NET: Registered protocol family 10
<6>lo: Disabled Privacy Extensions
<6>Mobile IPv6
<5>SCSI subsystem initialized
<6>Loading iSCSI transport class v2.0-724.
<5>iscsi: registered transport (tcp)
<6>pcnet32.c:v1.33-NAPI 27.Jun.2006 tsbogend@alpha.franken.de
<6>ACPI: PCI Interrupt 0000:00:11.0[A] -> GSI 18 (level, low) -> IRQ 16
<6>pcnet32: PCnet/PCI II 79C970A at 0x1400, 00 0c 29 f7 98 bf assigned IRQ 16.
<6>eth0: registered as PCnet/PCI II 79C970A
<6>pcnet32: 1 cards_found.
<6>Fusion MPT base driver 3.04.04
<6>Copyright (c) 1999-2007 LSI Logic Corporation
<6>Fusion MPT SPI Host driver 3.04.04
<6>ACPI: PCI Interrupt 0000:00:10.0[A] -> GSI 17 (level, low) -> IRQ 17
<6>mptbase: Initiating ioc0 bringup
<6>ioc0: 53C1030: Capabilities={Initiator}
<6>scsi0 : ioc0: LSI53C1030, FwRev=00000000h, Ports=1, MaxQ=128, IRQ=17
<7>libata version 2.20 loaded.
<7>ata_piix 0000:00:07.1: version 2.10ac1
<6>ata1: PATA max UDMA/33 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x00011050 irq 14
<6>ata2: PATA max UDMA/33 cmd 0x00010170 ctl 0x00010376 bmdma 0x00011058 irq 15
<6>scsi1 : ata_piix
<6>ata1.00: ATA-4: VMware Virtual IDE Hard Drive, 00000001, max UDMA/33
<6>ata1.00: 16777216 sectors, multi 16: LBA 
<6>ata1.00: configured for UDMA/33
<6>scsi2 : ata_piix
<6>ata2.00: ATAPI, max UDMA/33
<6>ata2.00: configured for UDMA/33
<5>scsi 1:0:0:0: Direct-Access     ATA      VMware Virtual I 0000 PQ: 0 ANSI: 5
<5>SCSI device sda: 16777216 512-byte hdwr sectors (8590 MB)
<5>sda: Write Protect is off
<7>sda: Mode Sense: 00 3a 00 00
<5>SCSI device sda: write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
<5>SCSI device sda: 16777216 512-byte hdwr sectors (8590 MB)
<5>sda: Write Protect is off
<7>sda: Mode Sense: 00 3a 00 00
<5>SCSI device sda: write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
<6> sda: sda1 sda2
<5>sd 1:0:0:0: Attached scsi disk sda
<5>scsi 2:0:0:0: CD-ROM            NECVMWar VMware IDE CDR10 1.00 PQ: 0 ANSI: 5
<4>sr0: scsi3-mmc drive: 1x/1x xa/form2 cdda tray
<6>Uniform CD-ROM driver Revision: 3.20
<7>sr 2:0:0:0: Attached scsi CD-ROM sr0
<7>ISO 9660 Extensions: Microsoft Joliet Level 3
<4>Unable to load NLS charset utf8
<4>Unable to load NLS charset utf8
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format.
<4>VFS: Can't find an ext2 filesystem on dev loop0.
<7>security:  3 users, 6 roles, 1822 types, 79 bools, 1 sens, 1024 cats
<7>security:  60 classes, 68296 rules
<7>SELinux:  Completing initialization.
<7>SELinux:  Setting up existing superblocks.
<7>SELinux: initialized (dev loop0, type squashfs), not configured for labeling
<7>SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts
<7>SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
<7>SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
<7>SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
<7>SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
<7>SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
<7>SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
<7>SELinux: initialized (dev devpts, type devpts), uses transition SIDs
<7>SELinux: initialized (dev eventpollfs, type eventpollfs), uses task SIDs
<7>SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
<7>SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
<7>SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
<7>SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
<7>SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
<7>SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
<7>SELinux: initialized (dev proc, type proc), uses genfs_contexts
<7>SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
<7>SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
<7>SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
<5>audit(1183172692.581:2): policy loaded auid=4294967295
<6>md: raid0 personality registered for level 0
<6>md: raid1 personality registered for level 1
<6>raid5: automatically using best checksumming function: pIII_sse
<4>   pIII_sse  :  2860.000 MB/sec
<4>raid5: using function: pIII_sse (2860.000 MB/sec)
<4>raid6: int32x1    832 MB/s
<4>raid6: int32x2    898 MB/s
<4>raid6: int32x4   1023 MB/s
<4>raid6: int32x8    816 MB/s
<4>raid6: mmxx1     2019 MB/s
<4>raid6: mmxx2     2285 MB/s
<4>raid6: sse1x1    1234 MB/s
<4>raid6: sse1x2    2238 MB/s
<4>raid6: sse2x1    2460 MB/s
<4>raid6: sse2x2    3472 MB/s
<4>raid6: using algorithm sse2x2 (3472 MB/s)
<6>md: raid6 personality registered for level 6
<6>md: raid5 personality registered for level 5
<6>md: raid4 personality registered for level 4
<6>md: raid10 personality registered for level 10
<4>GFS2 (built Jun 12 2007 14:41:02) installed
<6>Lock_Nolock (built Jun 12 2007 14:41:12) installed
<6>JFS: nTxBlock = 4057, nTxLock = 32463
<6>SGI XFS with ACLs, security attributes, large block numbers, no debug enabled
<6>SGI XFS Quota Management subsystem
<6>device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
<6>device-mapper: multipath: version 1.0.5 loaded
<6>device-mapper: multipath round-robin: version 1.0.0 loaded
<6>device-mapper: multipath emc: version 0.0.3 loaded
<5>audit(1183172702.579:3): audit_pid=582 old=0 by auid=4294967295
subj=system_u:system_r:anaconda_t:s0
<4>mtrr: your processor doesn't support write-combining
<6>EXT3-fs: INFO: recovery required on readonly filesystem.
<6>EXT3-fs: write access will be enabled during recovery.
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3-fs: recovery complete.
<6>EXT3-fs: mounted filesystem with ordered data mode.
<7>SELinux: initialized (dev dm-0, type ext3), uses xattr
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS on sda1, internal journal
<6>EXT3-fs: recovery complete.
<6>EXT3-fs: mounted filesystem with ordered data mode.
<7>SELinux: initialized (dev sda1, type ext3), uses xattr
<6>Adding 1048568k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
across:1048568k
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS on dm-0, internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.
<7>SELinux: initialized (dev dm-0, type ext3), uses xattr
<6>kjournald starting.  Commit interval 5 seconds
<6>EXT3 FS on sda1, internal journal
<6>EXT3-fs: mounted filesystem with ordered data mode.
<7>SELinux: initialized (dev sda1, type ext3), uses xattr


/tmp/anaconda.log:
03:04:42 INFO    : kernel command line: initrd=initrd.img BOOT_IMAGE=vmlinuz 

03:04:42 INFO    : 519412 kB are available
03:04:42 INFO    : modules to insert cramfs fat vfat sunrpc lockd nfs_acl nfs
loop isofs floppy edd pcspkr squashfs jbd mbcache ext3 ext2
03:04:42 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:43 INFO    : loaded cramfs from /modules/modules.cgz
03:04:43 INFO    : loaded fat from /modules/modules.cgz
03:04:43 INFO    : loaded vfat from /modules/modules.cgz
03:04:43 INFO    : loaded sunrpc from /modules/modules.cgz
03:04:43 INFO    : loaded lockd from /modules/modules.cgz
03:04:43 INFO    : loaded nfs_acl from /modules/modules.cgz
03:04:43 INFO    : loaded nfs from /modules/modules.cgz
03:04:43 INFO    : loaded loop from /modules/modules.cgz
03:04:43 INFO    : loaded floppy from /modules/modules.cgz
03:04:43 INFO    : loaded edd from /modules/modules.cgz
03:04:43 INFO    : loaded pcspkr from /modules/modules.cgz
03:04:43 INFO    : loaded squashfs from /modules/modules.cgz
03:04:43 INFO    : loaded jbd from /modules/modules.cgz
03:04:43 INFO    : loaded mbcache from /modules/modules.cgz
03:04:43 INFO    : loaded ext3 from /modules/modules.cgz
03:04:43 INFO    : loaded ext2 from /modules/modules.cgz
03:04:43 DEBUG   : module(s) isofs not found
03:04:43 INFO    : inserted /tmp/cramfs.ko
03:04:43 INFO    : inserted /tmp/fat.ko
03:04:43 INFO    : inserted /tmp/vfat.ko
03:04:43 INFO    : inserted /tmp/sunrpc.ko
03:04:43 INFO    : inserted /tmp/lockd.ko
03:04:43 INFO    : inserted /tmp/nfs_acl.ko
03:04:43 INFO    : inserted /tmp/nfs.ko
03:04:43 INFO    : inserted /tmp/loop.ko
03:04:43 INFO    : inserted /tmp/floppy.ko
03:04:43 INFO    : inserted /tmp/edd.ko
03:04:43 INFO    : inserted /tmp/pcspkr.ko
03:04:43 INFO    : inserted /tmp/squashfs.ko
03:04:43 INFO    : inserted /tmp/jbd.ko
03:04:43 INFO    : inserted /tmp/mbcache.ko
03:04:43 INFO    : inserted /tmp/ext3.ko
03:04:43 INFO    : inserted /tmp/ext2.ko
03:04:43 INFO    : load module set done
03:04:43 INFO    : modules to insert ipv6
03:04:43 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:43 INFO    : loaded ipv6 from /modules/modules.cgz
03:04:43 INFO    : inserted /tmp/ipv6.ko
03:04:43 INFO    : load module set done
03:04:43 INFO    : modules to insert cdrom ide-cd
03:04:43 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:43 INFO    : loaded cdrom from /modules/modules.cgz
03:04:43 DEBUG   : module(s) ide-cd not found
03:04:43 INFO    : inserted /tmp/cdrom.ko
03:04:43 INFO    : load module set done
03:04:43 INFO    : modules to insert scsi_mod sd_mod sr_mod
03:04:43 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:43 INFO    : loaded scsi_mod from /modules/modules.cgz
03:04:43 INFO    : loaded sd_mod from /modules/modules.cgz
03:04:43 INFO    : loaded sr_mod from /modules/modules.cgz
03:04:43 INFO    : inserted /tmp/scsi_mod.ko
03:04:43 INFO    : inserted /tmp/sd_mod.ko
03:04:43 INFO    : inserted /tmp/sr_mod.ko
03:04:43 INFO    : load module set done
03:04:43 INFO    : modules to insert scsi_transport_iscsi libiscsi iscsi_tcp
03:04:43 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:44 INFO    : loaded scsi_transport_iscsi from /modules/modules.cgz
03:04:44 INFO    : loaded libiscsi from /modules/modules.cgz
03:04:44 INFO    : loaded iscsi_tcp from /modules/modules.cgz
03:04:44 INFO    : inserted /tmp/scsi_transport_iscsi.ko
03:04:44 INFO    : inserted /tmp/libiscsi.ko
03:04:44 INFO    : inserted /tmp/iscsi_tcp.ko
03:04:44 INFO    : load module set done
03:04:44 INFO    : looking for usb controllers
03:04:44 DEBUG   : no usb controller found
03:04:44 INFO    : no firewire controller found
03:04:44 DEBUG   : no pcic controller found
03:04:44 DEBUG   : probing buses
03:04:44 DEBUG   : finished bus probing
03:04:44 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7113
03:04:44 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7110
03:04:44 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7191
03:04:44 DEBUG   : ignoring driverless device Intel Corporation Unknown device 7190
03:04:44 DEBUG   : ignoring driverless device VMware Inc [VMware SVGA II] PCI
Display Adapter
03:04:44 INFO    : modules to insert mii pcnet32 mptbase mptscsih
scsi_transport_spi mptspi libata ata_piix
03:04:44 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:44 INFO    : loaded mii from /modules/modules.cgz
03:04:44 INFO    : loaded pcnet32 from /modules/modules.cgz
03:04:44 INFO    : loaded mptbase from /modules/modules.cgz
03:04:44 INFO    : loaded mptscsih from /modules/modules.cgz
03:04:44 INFO    : loaded scsi_transport_spi from /modules/modules.cgz
03:04:44 INFO    : loaded mptspi from /modules/modules.cgz
03:04:44 INFO    : loaded libata from /modules/modules.cgz
03:04:44 INFO    : loaded ata_piix from /modules/modules.cgz
03:04:44 INFO    : inserted /tmp/mii.ko
03:04:44 INFO    : inserted /tmp/pcnet32.ko
03:04:45 INFO    : inserted /tmp/mptbase.ko
03:04:45 INFO    : inserted /tmp/mptscsih.ko
03:04:45 INFO    : inserted /tmp/scsi_transport_spi.ko
03:04:46 INFO    : inserted /tmp/mptspi.ko
03:04:46 INFO    : inserted /tmp/libata.ko
03:04:48 INFO    : inserted /tmp/ata_piix.ko
03:04:48 INFO    : load module set done
03:04:48 INFO    : trying to mount CD device scd0
03:04:48 INFO    : mntloop loop0 on /mnt/runtime as
/mnt/source/images/stage2.img fd is 10
03:04:48 DEBUG   : MD5SUM -> b319c3008a87668fd03d0c8cd17716b0
03:04:48 DEBUG   : skipsectors = 15
03:04:48 INFO    : supported = 0
03:04:52 INFO    : Loading SELinux policy
03:04:52 INFO    : getting ready to spawn shell now
03:04:52 INFO    : modules to insert ide-cd
03:04:52 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:53 DEBUG   : module(s) ide-cd not found
03:04:53 INFO    : load module set done
03:04:53 INFO    : modules to insert
03:04:53 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:53 INFO    : load module set done
03:04:53 INFO    : modules to insert
03:04:53 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:53 INFO    : load module set done
03:04:53 DEBUG   : probing buses
03:04:53 DEBUG   : finished bus probing
03:04:53 DEBUG   : ignoring driverless device Intel Corporation 82371AB/EB/MB
PIIX4 ACPI
03:04:53 DEBUG   : ignoring driverless device Intel Corporation 82371AB/EB/MB
PIIX4 ISA
03:04:53 DEBUG   : ignoring driverless device Intel Corporation 440BX/ZX/DX -
82443BX/ZX/DX AGP bridge
03:04:53 DEBUG   : ignoring driverless device Intel Corporation 440BX/ZX/DX -
82443BX/ZX/DX Host bridge
03:04:53 DEBUG   : ignoring driverless device VMware Inc [VMware SVGA II] PCI
Display Adapter
03:04:53 INFO    : modules to insert
03:04:53 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:53 INFO    : load module set done
03:04:53 INFO    : modules to insert md raid0 raid1 raid5 raid6 xor raid456
raid10 msdos gfs2 lock_nolock reiserfs jfs xfs dm-mod dm-zero dm-mirror
dm-snapshot dm-multipath dm-round-robin dm-emc
03:04:53 DEBUG   : getModuleLocation: 2.6.21-1.3228.fc7/i586
03:04:53 INFO    : loaded raid0 from /modules/modules.cgz
03:04:53 INFO    : loaded raid1 from /modules/modules.cgz
03:04:53 INFO    : loaded xor from /modules/modules.cgz
03:04:53 INFO    : loaded raid456 from /modules/modules.cgz
03:04:53 INFO    : loaded raid10 from /modules/modules.cgz
03:04:53 INFO    : loaded msdos from /modules/modules.cgz
03:04:53 INFO    : loaded gfs2 from /modules/modules.cgz
03:04:53 INFO    : loaded lock_nolock from /modules/modules.cgz
03:04:53 INFO    : loaded reiserfs from /modules/modules.cgz
03:04:53 INFO    : loaded jfs from /modules/modules.cgz
03:04:53 INFO    : loaded xfs from /modules/modules.cgz
03:04:53 INFO    : loaded dm-mod from /modules/modules.cgz
03:04:53 INFO    : loaded dm-zero from /modules/modules.cgz
03:04:53 INFO    : loaded dm-mirror from /modules/modules.cgz
03:04:53 INFO    : loaded dm-snapshot from /modules/modules.cgz
03:04:53 INFO    : loaded dm-multipath from /modules/modules.cgz
03:04:53 INFO    : loaded dm-round-robin from /modules/modules.cgz
03:04:53 INFO    : loaded dm-emc from /modules/modules.cgz
03:04:53 DEBUG   : module(s) md raid5 raid6 not found
03:04:53 INFO    : inserted /tmp/raid0.ko
03:04:53 INFO    : inserted /tmp/raid1.ko
03:04:53 INFO    : inserted /tmp/xor.ko
03:04:53 INFO    : inserted /tmp/raid456.ko
03:04:53 INFO    : inserted /tmp/raid10.ko
03:04:53 INFO    : inserted /tmp/msdos.ko
03:04:53 INFO    : inserted /tmp/gfs2.ko
03:04:53 INFO    : inserted /tmp/lock_nolock.ko
03:04:53 INFO    : inserted /tmp/reiserfs.ko
03:04:53 INFO    : inserted /tmp/jfs.ko
03:04:53 INFO    : inserted /tmp/xfs.ko
03:04:53 INFO    : inserted /tmp/dm-mod.ko
03:04:53 INFO    : inserted /tmp/dm-zero.ko
03:04:53 INFO    : inserted /tmp/dm-mirror.ko
03:04:53 INFO    : inserted /tmp/dm-snapshot.ko
03:04:53 INFO    : inserted /tmp/dm-multipath.ko
03:04:53 INFO    : inserted /tmp/dm-round-robin.ko
03:04:53 INFO    : inserted /tmp/dm-emc.ko
03:04:53 INFO    : load module set done
03:04:53 INFO    : looking for USB mouse...
03:04:53 INFO    : Running anaconda script /usr/bin/anaconda
03:05:02 INFO    : using only installclass _Fedora
03:05:03 INFO    : anaconda called with cmdline = ['/usr/bin/anaconda', '-m',
'cdrom://scd0:/mnt/source', '--graphical', '--selinux']
03:05:03 INFO    : Display mode = g
03:05:03 INFO    : Method = cdrom://scd0:/mnt/source
03:05:12 INFO    : anaconda floppy device fd0
03:05:28 INFO    : Started mini-wm
03:05:29 INFO    : Starting graphical installation...
03:05:30 INFO    : Detected 512M of memory
03:05:30 INFO    : Swap attempt of 512M to 1024M
03:05:30 WARNING : step installtype does not exist
03:05:30 WARNING : step complete does not exist
03:05:34 INFO    : moving (1) to step welcome
03:06:46 INFO    : moving (1) to step language
03:06:52 INFO    : moving (1) to step keyboard
03:06:54 INFO    : moving (1) to step findrootparts
03:06:54 DEBUG   : starting mpaths
03:06:54 DEBUG   : self.driveList(): ['sda']
03:06:54 DEBUG   : DiskSet.skippedDisks: []
03:06:54 DEBUG   : DiskSet.skippedDisks: []
03:06:54 DEBUG   : starting all mpaths on drives ['sda']
03:06:54 DEBUG   : scanning for multipath on drives ['sda']
03:06:54 DEBUG   : mpaths: []
03:06:54 DEBUG   : done starting mpaths.  Drivelist: ['sda']
03:06:54 DEBUG   : starting dmraids
03:06:54 DEBUG   : self.driveList(): ['sda']
03:06:54 DEBUG   : DiskSet.skippedDisks: []
03:06:54 DEBUG   : DiskSet.skippedDisks: []
03:06:54 DEBUG   : starting all dmraids on drives ['sda']
03:06:54 DEBUG   : scanning for dmraid on drives ['sda']
03:06:54 DEBUG   : done starting dmraids.  Drivelist: ['sda']
03:06:56 INFO    : lv is VolGroup00/LogVol00, size of 7008
03:06:56 INFO    : lv is VolGroup00/LogVol01, size of 1024
03:06:56 DEBUG   : isys.py:mount()- going to mount /dev/VolGroup00/LogVol00 on
/mnt/sysimage
03:07:17 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage
03:07:18 WARNING : step complete does not exist
03:07:18 INFO    : moving (1) to step partitionobjinit
03:07:18 INFO    : no initiator set
03:07:18 INFO    : no /tmp/fcpconfig; not configuring zfcp
03:07:19 INFO    : lv VolGroup00/LogVol00, attr is -wi---
03:07:19 INFO    : lv VolGroup00/LogVol01, attr is -wi---
03:07:20 INFO    : lv is VolGroup00/LogVol00, size of 7008
03:07:20 INFO    : lv is VolGroup00/LogVol01, size of 1024
03:07:21 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 8087
03:07:21 INFO    : vg VolGroup00, size is 8064, pesize is 32768
03:07:21 INFO    : lv is VolGroup00/LogVol00, size of 7008
03:07:21 INFO    : lv is VolGroup00/LogVol01, size of 1024
03:07:21 INFO    : mdadm -E /dev/VolGroup00/LogVol00
03:07:21 INFO    : mdadm -E /dev/VolGroup00/LogVol01
03:07:21 INFO    : moving (1) to step parttype
03:07:27 INFO    : moving (1) to step autopartitionexecute
03:07:28 DEBUG   : used space is 1536
03:07:28 DEBUG   : actual space is 8032
03:07:28 DEBUG   : used space is 2048
03:07:28 DEBUG   : actual space is 8032
03:07:28 DEBUG   : used space is 8032
03:07:28 DEBUG   : actual space is 8032
03:07:28 DEBUG   : used space is 8032
03:07:28 DEBUG   : actual space is 8032
03:07:28 INFO    : moving (1) to step partitiondone
03:07:28 INFO    : moving (1) to step bootloadersetup
03:07:28 INFO    : moving (1) to step networkdevicecheck
03:07:28 INFO    : moving (1) to step network
03:07:30 INFO    : moving (1) to step timezone
03:07:38 INFO    : moving (1) to step accounts
03:07:51 INFO    : moving (1) to step reposetup
03:07:51 INFO    : switching from CD [1] to 1 for 
03:07:52 WARNING : /usr/lib/python2.5/site-packages/yum/repos.py:61:
RuntimeWarning: YumProgress.progressbar called when popped
  self.callback.progressbar(num, len(repos), repo.id)

03:07:53 INFO    : moving (1) to step basepkgsel
03:07:57 INFO    : moving (1) to step tasksel
03:08:01 INFO    : moving (1) to step postselection
03:08:01 INFO    : selected kernel package for kernel
03:11:08 INFO    : moving (1) to step confirminstall
03:11:15 INFO    : moving (1) to step install
03:11:15 INFO    : moving (1) to step enablefilesystems
03:11:16 INFO    : lv is VolGroup00/LogVol00, size of 7008
03:11:16 INFO    : lv is VolGroup00/LogVol01, size of 1024
03:11:16 INFO    : removing lv LogVol01
03:11:16 INFO    : removing lv LogVol00
03:11:16 INFO    : pv is /dev/sda2 in vg VolGroup00, size is 8087
03:11:16 INFO    : vgremove -v VolGroup00
03:11:16 INFO    : pvremove -ff -y -v /dev/sda2
03:11:17 INFO    : pvcreate -ff -y -v /dev/sda2
03:11:17 INFO    : disk.commit() for /dev/sda
03:11:18 INFO    : formatting swap as swap
03:11:18 INFO    : formatting / as ext3
03:11:18 INFO    : Format command:  ['mke2fs', '/dev/VolGroup00/LogVol00', '-i',
'4096', '-j']

03:12:25 INFO    : formatting /boot as ext3
03:12:25 INFO    : Format command:  ['mke2fs', '/tmp/sda1', '-i', '4096', '-j']

03:12:27 INFO    : lv VolGroup00/LogVol00, attr is -wi-a-
03:12:28 INFO    : lv is VolGroup00/LogVol00, size of 7008
03:12:28 INFO    : lv is VolGroup00/LogVol01, size of 1024
03:12:28 DEBUG   : error reading swap label on /dev/VolGroup00: [Errno 21] Is a
directory
03:12:28 DEBUG   : error reading xfs label on /dev/VolGroup00: [Errno 21] Is a
directory
03:12:28 DEBUG   : error reading jfs label on /dev/VolGroup00: [Errno 21] Is a
directory
03:12:28 DEBUG   : error reading reiserfs label on /dev/VolGroup00: [Errno 21]
Is a directory
03:12:28 INFO    : trying to mount VolGroup00/LogVol00 on /
03:12:28 INFO    : set SELinux context for mountpoint / to
system_u:object_r:root_t:s0
03:12:28 DEBUG   : isys.py:mount()- going to mount /dev/VolGroup00/LogVol00 on
/mnt/sysimage
03:12:28 INFO    : trying to mount sda1 on /boot
03:12:28 INFO    : set SELinux context for mountpoint /boot to
system_u:object_r:boot_t:s0
03:12:28 DEBUG   : isys.py:mount()- going to mount /tmp/sda1 on /mnt/sysimage/boot
03:12:28 INFO    : trying to mount sys on /sys
03:12:28 INFO    : set SELinux context for mountpoint /sys to None
03:12:28 DEBUG   : isys.py:mount()- going to mount sys on /mnt/sysimage/sys
03:12:28 INFO    : trying to mount proc on /proc
03:12:28 INFO    : set SELinux context for mountpoint /proc to None
03:12:28 DEBUG   : isys.py:mount()- going to mount proc on /mnt/sysimage/proc
03:12:29 INFO    : moving (1) to step migratefilesystems
03:12:29 INFO    : moving (1) to step setuptime
03:09:55 INFO    : moving (1) to step preinstallconfig
03:10:09 DEBUG   : isys.py:mount()- going to mount /selinux on /mnt/sysimage/selinux
03:10:09 WARNING : no dev package, going to bind mount /dev
03:10:09 DEBUG   : isys.py:mount()- going to mount /dev on /mnt/sysimage/dev
03:10:09 INFO    : self.hostname = localhost.localdomain
03:10:09 INFO    : moving (1) to step installpackages
03:10:09 INFO    : Preparing to install packages


/tmp/lvmout:
    Finding all logical volumes


/mnt/sysimage/root/install.log:

  
Actual results:
Anaconda crashes and you can't install your ISO created with pungi.

If I disable the updates repo before running pungi, then the standard ISO will
be installable again. But the strange thing is anaconda is not int the updates
repo yet. The same anaconda version gets installed everytime.


Expected results:
Pungi created ISO should install jut fine.
Comment 1 Fermin Molina 2007-07-05 05:59:59 EDT
Created attachment 158576 [details]
Automatically generated Anaconda bug report crash

Same behaviour here. If you make an ISO by default, it works. But if you add
other repositories (updates, personal repos, etc), the ISO doesn't works well:
complains with a similar error. I include my anaconda crash in the attach.
Comment 2 Fermin Molina 2007-07-05 06:08:03 EDT
Comment on attachment 158576 [details]
Automatically generated Anaconda bug report crash

I forgot to say that I used "revisor" to create the ISO.
Comment 3 Luis Felipe Marzagao 2007-07-05 10:13:25 EDT
I think it happens with both revisor or pungi because the first uses the second
as the engine.

Comment 4 Jeroen van Meeuwen 2007-07-06 09:06:29 EDT
Confirmed with https://hosted.fedoraproject.org/projects/revisor/ticket/209
Comment 5 Luis Felipe Marzagao 2007-07-06 23:19:38 EDT
I've managed to build a installable ISO with some extra rpms of my own. I've
created a separated repo, then createrepoed it, added it to comps file and it's
worked. What really doesn't work is the fedora updates repo. If I add this repo
to revisor configuration file, then anaconda crashes. I wonder what specific
package from updates is causing the trouble. It would be nice, as a workaround,
to remove just this package temporarily until the bug is solved.
Comment 6 Alex 2007-07-09 03:39:06 EDT
I have the same problem, I use default conf file except minimal-manifest:

file minimal-manifest:
anaconda
anaconda-runtime
at
authconfig
autofs
bash
busybox-anaconda
bind
bind-libs
bind-utils
binutils
bzip2
caching-nameserver
chkconfig
clamav
cpio
coreutils
crontabs
cups
ddclient
dhclient
dhcp
dialog
diffutils
dos2unix
dosfstools
dovecot
dump
e2fsprogs
eject
ethtool
file
filesystem
findutils
ftp
gawk
grep
grub
gzip
hal
hdparm
hesiod
httpd
info
initscripts
iproute
ipsec-tools
iptables
iptables-ipv6
iscsi-initiator-utils
jwhois
kernel
kudzu
less
logrotate
make
MAKEDEV
man
man-pages
microcode_ctl
mkinitrd
mktemp
mlocate
mod_auth_mysql
mod_auth_pgsql
mod_authz_ldap
mrtg
mysql
mysql-server
ncftp
nmap
nscd
ntfs-3g
ntfsprogs
openldap
openldap-clients
openldap-servers
openssh
openssh-clients
openssh-server
openssl
openvpn
pam
pam_krb5
pam_smb
passwd
php
php-common
php-ldap
php-mysql
php-pgsql
php-xml
policycoreutils
popt
postfix
postgresql
postgresql-server
ppp
procmail
pungi
quota
rootfiles
rpm
rpm-build
rpm-libs
rp-pppoe
rsync
samba
samba-client
samba-common
sed
shadow-utils
spamassassin
squid
sudo
sysklogd
tar
tcpdump
tcp_wrappers
telnet
time
traceroute
udev
unzip
usbutils
util-linux
vim-common
vim-enhanced
vim-minimal
vpnc
vsftpd
wget
which
xinetd
yum
zip



When installing the iso using anaconda, I have the following error:
anaconda.intf.run(anaconda)
IOError: [Errno 2] No such file or directory:
u'/tmp/cache/anaconda-base-2000707090850.i386/headers/anaconda-11.2.0.66-
1.i386.hdr'

Thanks !!
Comment 7 Luis Felipe Marzagao 2007-07-09 18:45:59 EDT
The issue reported here happens just the same with revisor, though the bug name
mentions pungi.
Comment 8 Chris Lumens 2007-07-11 22:33:27 EDT
yum no longer makes the header download directory, so anaconda is unable to
write to that location.  This can be fixed either by pulling in a later version
of anaconda that works around this problem into your tree, or by backing down to
an earlier version of yum that still makes the header directory.
Comment 9 Fermin Molina 2007-07-12 05:22:39 EDT
(In reply to comment #8)
> yum no longer makes the header download directory, so anaconda is unable to
> write to that location.  This can be fixed either by pulling in a later version
> of anaconda that works around this problem into your tree, or by backing down to
> an earlier version of yum that still makes the header directory.

Well... but what exactly versions of anaconda or yum must be used? Where are
they? In rawhide? Will be released soon a new version of anaconda in F7?
Comment 10 Alex 2007-07-12 09:01:36 EDT
I used the latest developement version 11.3.0.5-1 and the problem still 
persists.
Witch version of anaconda must be used ?
Thanks !
Comment 11 Luis Felipe Marzagao 2007-07-12 09:08:13 EDT
Chris Lumens: thanks a lot for your input. I´ll try the suggested workaround and
report the results. Anyway, I´d like to ask: I certainly don´t know a lot about
bugs and software development, but is it a good idea to close this bug report
since there´s not yet a patch or a newer version of the program that solves the
issue? Thanks again!

Comment 12 Alex 2007-07-15 12:18:56 EDT
I just try width anaconda-11.3.0.6-2.i386.rpm witch is the last rawhide version 
at this time.
The problem still persists.
Thanks !
Comment 13 Luis Felipe Marzagao 2007-07-15 19:07:54 EDT
I can confirm using the latest anaconda-11.3.0.6-2 and all its latest
dependencies doesn't work either. The problem is different, bu you still can't
install the created ISO.
Comment 14 Chris Lumens 2007-07-16 10:24:08 EDT
What is the new problem you are seeing?
Comment 15 Luis Felipe Marzagao 2007-07-16 10:35:51 EDT
Hello Chris: the new problem happens much sooner, at beginning of installation,
as you can see by this screenshot:

http://www.fedoraforum.org/forum/attachment.php?attachmentid=12686

The screenshot was taken with anaconda 11.3.0.5-1, but the same screen occurs
with the newest 11.3.0.6-2.

kanarip has also confirmed the problem:

"07/16/07 03:15:45 changed by kanarip  ¶
    
Thanks, I've also confirmed that the fix doesn't work. It seems pungi has the
same problem and woks around with using an older yum, as the newer yum doesn't
create the header files anaconda uses."

Thanks a lot.
Comment 16 Chris Lumens 2007-07-16 11:17:11 EDT
You also need the latest version of the pykickstart package if you're going to
be using the rawhide anaconda.
Comment 17 Chris Lumens 2007-07-16 11:18:03 EDT
*** Bug 248375 has been marked as a duplicate of this bug. ***
Comment 18 Luis Felipe Marzagao 2007-07-16 11:24:42 EDT
Ok, Chris: I´ll do the tests with the latest pykickstart and report the results
here. Thanks.
Comment 19 Alex 2007-07-16 12:03:06 EDT
I just compile an iso using pykickstart-1.2-2.fc8 anaconda 11.3.0.6-2 and all 
dependencies.
The problem persist.
IOError: [Errno 2] No such file or directory:
u'/tmp/cache/anaconda-base-2000707161735.i386/headers/anaconda-11.3.0.6-
2.i386.hdr'

Thanks.
Comment 20 Luis Felipe Marzagao 2007-07-16 23:11:18 EDT
Chris: tried with the following packages, but still no success:

anaconda-11.3.0.6-2.i386.rpm
anaconda-runtime-11.3.0.6-2.i386.rpm
busybox-anaconda-1.5.1-2.fc8.i386.rpm
libdhcp-1.25-3.fc8.i386.rpm
libdhcp4client-3.0.6-1.fc8.i386.rpm
mkinitrd-6.0.9-9.i386.rpm
nash-6.0.9-9.i386.rpm
pykickstart-1.2-2.fc8.noarch.rpm

This is the screen I'm getting now:

http://www.fedoraforum.org/forum/attachment.php?attachmentid=12804

Thanks
Comment 21 Chris Lumens 2007-07-17 13:37:28 EDT
That is fixed in anaconda-11.3.0.7-1.
Comment 22 Luis Felipe Marzagao 2007-07-17 13:40:45 EDT
Okay, good to know! I´ll try the new version and report the results. Thanks a lot.
Comment 23 Luis Felipe Marzagao 2007-07-17 20:20:08 EDT
Chris: I'm afraid anaconda-11.3.0.7-1 doesn't fix the problem.

I just tried again, now with anaconda-11.3.0.7-1, but no success.

These are the packages I'm using in a "local extra" repo to build the default
f7-gold media with:

-rw-rw-r-- 1 duli duli 4359478 2007-07-17 19:08 anaconda-11.3.0.7-1.i386.rpm
-rw-rw-r-- 1 duli duli 1796372 2007-07-17 19:08
anaconda-runtime-11.3.0.7-1.i386.rpm -rw-rw-r-- 1 duli duli 252248 2007-07-16
22:18 libdhcp4client-3.0.6-1.fc8.i386.rpm -rw-rw-r-- 1 duli duli 182086
2007-07-17 19:08 pykickstart-1.3-1.fc8.noarch.rpm

This is the new screen I'm getting now:

http://www.fedoraforum.org/forum/attachment.php?attachmentid=12817

Thanks
Comment 24 Alex 2007-07-18 03:08:57 EDT
Hello,
I just test 
anaconda-11.3.0.7-1.i386.rpm
libbdevid-python-6.0.9-9.i386.rpm
libdhcp4client-3.0.6-1.fc8.i386.rpm
nash-6.0.9-9.i386.rpm
anaconda-runtime-11.3.0.7-1.i386.rpm
libdhcp-1.25-3.fc8.i386.rpm
mkinitrd-6.0.9-9.i386.rpm
pykickstart-1.3-1.fc8.noarch.rpm

I have again the same problem: header files not found.

I want to inform that I never reproduce problems describe by Luis. With all 
versions of anaconda I have the same problem.

Thanks
Comment 25 Jesse Keating 2007-07-18 09:29:37 EDT
This weird dance of rawhide bits on top of Fedora 7 is not going to play out
very well.  If you're interested in testing the rawhide bits, test complete
rawhide composes.  If you're trying to respin Fedora 7, there is a very simple
patch to yum that will possibly fix the headers issue.

--- /usr/lib/python2.5/site-packages/yum/__init__.py    2007-06-21
15:29:05.000000000 -0400
+++
/var/lib/mock/fedora-7-i386-pungi/root/usr/lib/python2.5/site-packages/yum/__init__.py
     2007-07-16 11:32:18.000000000 -0400
@@ -858,6 +858,8 @@
         if self.dsCallback: self.dsCallback.downloadHeader(po.name)
         
         try:
+            if not os.path.exists(repo.hdrdir):
+                os.makedirs(repo.hdrdir)
             checkfunc = (self.verifyHeader, (po, 1), {})
             hdrpath = repo.getHeader(po, checkfunc=checkfunc,
                     cache=repo.http_caching != 'none',


If you apply that to a yum package and make sure that package is in your repo
used to compose with this problem may go away.  Seth will be working on a
release for F7 that fixes this and a few other issues.
Comment 26 Luis Felipe Marzagao 2007-07-18 12:07:59 EDT
Hello, Jesse:

The idea is not to dance with rawhide on top of F7. We are just trying, as you
said, to respin F7, but with the updates repo, so we won´t need to download
everything again after a fresh install, or even to make personal F7 releases...

The problem is anaconda will never get to the updates repo, it will only be
available on the next F release, rigth?! So we have to download it from rawhide.

Well, since all this dance really isn´t working, the other workaround I´ve found
is to add the following lines in your revisor-f7-xyz.cfg file:

[updates]
...
exclude=yum yum-updatesd

Now the spin is Ok and installable, since the original version of yum gets to
the DVD set.

I was not aware of this yum patch you´ve mentioned. I´ll certainly try this one
and report the results.

Thanks a lot.
Comment 27 Jesse Keating 2007-07-18 13:24:16 EDT
My point is that errors encountered while using rawhide anaconda on Fedora 7
should not be discussed on bugzilla.  It just creates needless noise.  Fedora 7
isn't a target of rawhide anaconda, and any form of it working is just a happy
accident.  
Comment 28 Alex 2007-07-18 15:25:20 EDT
I'm ok to say that errors encountered while using rawhide anaconda on Fedora 7 
should not be discussed on bugzilla.
But the error encountered while using fc7 base or update anaconda rpm.
I tried to patch /usr/lib/python2.5/site-packages/yum/__init__.py with as 
describe 2 post ago with no success.

Thank and sorry for my english.
Comment 29 Luis Felipe Marzagao 2007-07-18 15:29:24 EDT
Hello Jesse: I totally agree with you! I think the appropriate method would be
to ship an update version of yum (in the updates repo) that fixes the issue. Do
you think that will happen? In the meantime, should this bug report stay closed?
Thanks a lot!
Comment 30 Jesse Keating 2007-07-18 15:39:27 EDT
Either it stays closed, or it gets closed duplicate pointing to a bug about yum
not auto-creating the directory.  I don't think a bug for that has been filed,
as the fix has already been committed to upstream CVS.  We just need an update
created and I was told that should happen soon.
Comment 31 Luis Felipe Marzagao 2007-07-19 09:24:20 EDT
Ok, Jesse. Thanks for the info. Hope the problem is no more in the next yum
update. Cheers.
Comment 32 Alex 2007-07-23 05:18:10 EDT
Hello,
Problem still persists.
Is anybody build iso sucessfully using patch of /usr/lib/python2.5/site-
packages/yum/__init__.py ?
Thanks
Comment 33 Luis Felipe Marzagao 2007-07-23 16:03:01 EDT
Alex: I still think the best way to get a working ISO is to exclude yum and
yum-updatesd from the updates repo, like in comment #26.
Comment 34 Luis Felipe Marzagao 2007-08-18 11:56:27 EDT
Hello, guys. Does the new yum (3.2.2) solves the problem? Has anyone tested it?!
Can we remove the line "exclude=yum yum-updatesd" from the revisor config files?
Thanks a lot.
Comment 35 Greg Trounson 2007-08-22 23:37:19 EDT
The new yum (3.2.2) doesn't seem to resolve the problem, unfortunately. I still
get the "No such file or directory" error.
Comment 36 Luis Felipe Marzagao 2007-08-23 08:31:00 EDT
Yep, I can confirm the new yum does not solve the issue.
Comment 37 Fermin Molina 2007-09-05 06:41:41 EDT
Created attachment 187241 [details]
Anaconda crashes again

Using exclude=yum yum-updatesd, it was working for me last month. But Anaconda
crashes again, this time with:

error: adding package to transaction failed

But the package exists in the DVD image that I have created. Seems a problem
with yum, but I'm using old yum (??)

Greetings,

Fermin
Comment 38 kenichi sudoh 2007-09-07 08:21:50 EDT
(In reply to comment #36)
> Yep, I can confirm the new yum does not solve the issue.

yum-3.2.4-2 is same too.

I made yum-3.2.4-3 & yum-updatesd-3.2.4-3.
This yum fixes the problem.
Please try this.
You will complete installation successfully.

http://www.pochinet.org/DL.cgi?yum-3.2.4-3.fc7.noarch.rpm
http://www.pochinet.org/DL.cgi?yum-updatesd-3.2.4-3.fc7.noarch.rpm

--- yum/yumRepo.py~	2007-04-29 22:52:43.000000000 +0900
+++ yum/yumRepo.py	2007-06-22 02:20:32.000000000 +0900
@@ -455,7 +455,7 @@
         cookie = self.cachedir + '/' + self.metadata_cookie_fn
         self.setAttribute('metadata_cookie', cookie)
 
-        for dir in [self.cachedir, self.pkgdir]:
+        for dir in [self.cachedir, self.hdrdir, self.pkgdir]:
             if self.cache == 0:
                 if os.path.exists(dir) and os.path.isdir(dir):
                     continue


Best regards,

pochi_ken

http://www.pochinet.org/
Comment 39 Luis Felipe Marzagao 2007-09-07 12:41:19 EDT
(In reply to comment #38)
> I made yum-3.2.4-3 & yum-updatesd-3.2.4-3.
> This yum fixes the problem.
> Please try this.
> You will complete installation successfully.

I can confirm your rpms work just fine. I successfully removed the exclude=yum
from the cfg file.

Thanks a lot
Comment 40 kenichi sudoh 2007-09-07 18:34:28 EDT
(In reply to comment #38)

If you want to need SRPM file, you will be able to download from below. 

http://www.pochinet.org/DL.cgi?yum-3.2.4-3.fc7.src.rpm

Best regards,
pochi_ken
http://www.pochinet.org/

Comment 41 Mykola Ulianytskyi 2007-09-12 09:33:18 EDT
With http://www.pochinet.org/DL.cgi?yum-3.2.4-3.fc7.src.rpm I got the bug:
error: adding package to transaction failed
Comment 42 Fermin Molina 2007-09-12 10:24:20 EDT
Anyone can reopen this bug? I think that is not solved yet.

With a clean F7 with all updates and yum-3.2.4-3, I get the same as comment #41:

error: adding package to transaction failed

I think that this yum version solves some of the problems commented before. But
this error occurs trying to add a package to a transaction, that may be
originated by other bug. I reported it in comment #37.
Comment 43 Mykola Ulianytskyi 2007-09-12 10:45:50 EDT
With http://www.pochinet.org/DL.cgi?yum-3.2.4-3.fc7.src.rpm I got the bug:
error: adding package to transaction failed
Comment 44 Luis Felipe Marzagao 2007-09-12 18:32:59 EDT
(In reply to comment #41)
> With http://www.pochinet.org/DL.cgi?yum-3.2.4-3.fc7.src.rpm I got the bug:
> error: adding package to transaction failed

You are installing the SOURCE package. You need to install the binary packages:

http://www.pochinet.org/DL.cgi?yum-3.2.4-3.fc7.noarch.rpm
http://www.pochinet.org/DL.cgi?yum-updatesd-3.2.4-3.fc7.noarch.rpm

Comment 45 Fermin Molina 2007-09-13 09:01:52 EDT
Even installing the correct packages, the error bounces, as I reported in
comment #37.

I tried to made an dvd image without the offending package. Didn't work. The
same error bounces, but is another package, when is added to transaction (maybe
the first package that is added to transaction?).
Comment 46 Jeff Moe (jebba) 2007-10-10 12:10:54 EDT
Is there a yum bug for this? I can't find it. I'm still getting this this type
of error with yum 3.2.5:
IOError: [Errno 2] No such file or directory:
u'/tmp/cache/anaconda-base-200706301823.i386/headers/openoffice.org-impress-2.2.0-14.11.i386.hdr'

Note You need to log in before you can comment on or make changes to this bug.